import time
import sys
import math
#
if not Misc.CurrentScriptDirectory() in sys.path:
    sys.path.append(Misc.CurrentScriptDirectory())
#
import System
import common
common.Gumps = Gumps
common.Items = Items
common.Player = Player
common.Mobiles = Mobiles
#
from System.Collections.Generic import List
from System import Byte, Int32
#
tailoring_book = 0x40286A03
blacksmith_book = 0x40554359
tinkering_book = 0x40554292
carpentry_book = 0x402867B2
fletching_book = 0x4028679C
taming_book = 0x405CCDB4
alchemy_book = 0x4055430E
inscription_book = 0x40554167
farming_book = 0x400B2086
cooking_book = 0x4009E391

tailoring_hue = 0x0483 
blacksmith_hue = 0x044e
tinkering_hue = 0x0455
carpentry_hue = 0x05e8
fletching_hue = 0x0591
taming_hue = 0x01ca
alchemy_hue = 0x09c9
inscription_hue = 0x0a26
farming_hue = 0x0556
cooking_hue = 0x0491

book_dictionary = {
                    tailoring_hue : Items.FindBySerial(tailoring_book),
                    carpentry_hue : Items.FindBySerial(carpentry_book),
                    alchemy_hue : Items.FindBySerial(alchemy_book),
                    inscription_hue : Items.FindBySerial(inscription_book),
                    blacksmith_hue : Items.FindBySerial(blacksmith_book),
                    taming_hue : Items.FindBySerial(taming_book),
                    fletching_hue : Items.FindBySerial(fletching_book),
                    tinkering_hue : Items.FindBySerial(tinkering_book),    
                    farming_hue : Items.FindBySerial(farming_book),
                    cooking_hue : Items.FindBySerial(cooking_book),    
                  }

list = common.find(Player.Backpack.Serial, [0x2258])
for bod in list:
    if bod.Hue in book_dictionary:
        book = book_dictionary[bod.Hue]
        if not book:
            Misc.SendMessage("CANT FIND BOOK for hue 0x{:x}".format(bod.Hue))
            Stop()
        #Player.ChatSay(50, "[MoveItem bod.Serial book.Serial")
        Items.Move(bod, book, 1)
        Misc.Pause(1000)
       
Gumps.WaitForGump(0, 1000)
Gumps.SendAction(0, 0)
Gumps.SendAction(0, 0)
Gumps.SendAction(0, 0)